<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--Dichiarazione di XSL e dei namespaces associati-->
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns="http://www.w3.org/1999/xhtml">
<!--Dichiarazione del DOCTYPE-->
<xsl:output method="xml"
    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transational.dtd"
    doctype-public="//W3C/DTD XHTML 1.0 Transational //EN" indent="yes"/>
<xsl:template match="/">
<!--Dichiarazione di XHTML-->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="it">
    
    <head>
        <!--Link al foglio di stile CSS-->
        <link rel="stylesheet" href="bibliotecaevoluta.css" type="text/css"/>
        <title>Biblioteca evoluta</title>
    </head>
    
    <body>
    
        <!--Intestazione della pagina con il nome della biblioteca-->
        <h2><xsl:value-of select="//nome"/></h2>
        <!--Costruisco la tabella-->
        <table>
            <!--Intestazione della tabella-->
            <thead>
                <tr>
                    <th>Autore</th>
                    <th>Titolo</th>
                    <th>Editore</th>
                </tr>
            </thead>
            <!--Body della tabella-->
            <tbody>
                <!--In ogni riga inserisco un libro-->
                <xsl:for-each select="//libro">
                <!--Ordino i libri in base all'autore, in base al titolo ed in base all'editore-->
                <xsl:sort select="autore"/>
                <xsl:sort select="titolo"/>
                <xsl:sort select="editore"/>
                <!--Valuto se il libro di testo  un libro universitario o meno-->
                <xsl:choose>
                <xsl:when test="@univ=1">
                <tr class="univ">
                    <td><xsl:value-of select="autore"/></td>
                    <td><xsl:value-of select="titolo"/></td>
                    <td><xsl:value-of select="editore"/></td>
                </tr>
                </xsl:when>
                <xsl:otherwise>
                <tr>
                    <td><xsl:value-of select="autore"/></td>
                    <td><xsl:value-of select="titolo"/></td>
                    <td><xsl:value-of select="editore"/></td>
                </tr>
                </xsl:otherwise>
                </xsl:choose>
                </xsl:for-each>
            </tbody>
        </table>
    
    </body>
    
</html>
</xsl:template>
</xsl:stylesheet>