<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--Dichiarazione di XSL e dei namespaces associati-->
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns="http://www.w3.org/1999/xhtml">
<!--Dichiarazione del DOCTYPE-->
<xsl:output method="xml"
    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transational.dtd"
    doctype-public="//W3C/DTD XHTML 1.0 Transational //EN" indent="yes"/>
<xsl:template match="/">
<!--Dichiarazione di XHTML-->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="it">
    
    <head>
        <!--Link al foglio di stile CSS-->
        <link rel="stylesheet" href="catalogofilmevoluto.css" type="text/css"/>
        <title>Catalogo film evoluto</title>
    </head>
    
    <body>
        
        <h2>Catalogo film appartenente a <xsl:value-of select="//proprietario"/></h2>
        
        <table>
            <thead>
                <tr>
                    <th>Titolo</th>
                    <th>Regista</th>
                    <th>Anno</th>
                    <th>Genere</th>
                </tr>
            </thead>
            <tbody>
                <xsl:for-each select="//film">
                <xsl:sort select="titolo"/>
                <xsl:sort select="regista"/>
                <xsl:sort select="anno"/>
                <xsl:sort select="genere"/>
                <xsl:choose>
                <xsl:when test="@tipo=2">
                    <tr class="vhs">
                        <td><xsl:value-of select="titolo"/></td>
                        <td><xsl:value-of select="regista"/></td>
                        <td><xsl:value-of select="anno"/></td>
                        <td><xsl:value-of select="genere"/></td>
                    </tr>
                </xsl:when>
                <xsl:when test="@tipo=1">
                    <tr class="dvd">
                        <td><xsl:value-of select="titolo"/></td>
                        <td><xsl:value-of select="regista"/></td>
                        <td><xsl:value-of select="anno"/></td>
                        <td><xsl:value-of select="genere"/></td>
                    </tr>
                </xsl:when>
                <xsl:when test="@tipo=3">
                    <tr class="divx">
                        <td><xsl:value-of select="titolo"/></td>
                        <td><xsl:value-of select="regista"/></td>
                        <td><xsl:value-of select="anno"/></td>
                        <td><xsl:value-of select="genere"/></td>
                    </tr>
                </xsl:when>
                <xsl:otherwise>
                    <tr>
                        <td><xsl:value-of select="titolo"/></td>
                        <td><xsl:value-of select="regista"/></td>
                        <td><xsl:value-of select="anno"/></td>
                        <td><xsl:value-of select="genere"/></td>
                    </tr>
                </xsl:otherwise>
                </xsl:choose>
                </xsl:for-each>
            </tbody>
        </table>
        
    </body>
    
</html>
</xsl:template>
</xsl:stylesheet>