<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--Dichiarazione di XSL e dei namespaces associati-->
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns="http://www.w3.org/1999/xhtml">
<!--Dichiarazione del DOCTYPE-->
<xsl:output method="xml"
    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transational.dtd"
    doctype-public="//W3C/DTD XHTML 1.0 Transational //EN" indent="yes"/>
<xsl:template match="/">
<!--Dichiarazione di XHTML-->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="it">

    <head>
        <!--Link al foglio di stile CSS-->
        <link rel="stylesheet" href="esame_01.css" type="text/css"/>
        <title>Esame 01</title>
    </head>
    
    <body>
        
        <!--Intestazione del documento XHTML-->
        <h1>Esame 01</h1>
        <h2>Sito di aste on line</h2>
        
        <!--Costruisco la tabella-->
        <table>
        
            <thead>
                <tr>
                    <th>Codice</th>
                    <th>Descrizione</th>
                    <th>Data inizio</th>
                    <th>Ora</th>
                    <th>Prezzo partenza</th>
                    <th>Prezzo riserva</th>
                    <th>Offerta attuale</th>
                    <th>Data fine</th>
                    <th>Metodi pagamento</th>
                    <th>Metodi spedizione</th>
                </tr>
            </thead>
            
            <tbody>
                <xsl:for-each select="//inserzione">
                <xsl:sort select="offertaattuale" order="descending"/>
                <xsl:choose>
                <xsl:when test="prezzoriserva &gt; offertaattuale">
                <tr class="noris">
                    <td><xsl:value-of select="@codice"/></td>
                    <td><xsl:value-of select="descrizione"/></td>
                    <td><xsl:value-of select="datainizio"/></td>
                    <td><xsl:value-of select="ora"/></td>
                    <td>&#8364; <xsl:value-of select="prezzopartenza"/></td>
                    <td class="n">Prezzo di riserva non superato</td>
                    <td>&#8364; <xsl:value-of select="offertaattuale"/></td>
                    <td><xsl:value-of select="datafine"/></td>
                    <td>
                        <xsl:for-each select="metodopagamento">
                        <xsl:value-of select="@pag"/><br/>
                        </xsl:for-each>
                    </td>
                    <td>
                        <xsl:for-each select="tipospedizione">
                        <xsl:value-of select="@tipo"/><br/>
                        </xsl:for-each>
                    </td>
                </tr>
                </xsl:when>
                <xsl:otherwise>
                <tr class="ok">
                    <td><xsl:value-of select="@codice"/></td>
                    <td><xsl:value-of select="descrizione"/></td>
                    <td><xsl:value-of select="datainizio"/></td>
                    <td><xsl:value-of select="ora"/></td>
                    <td>&#8364; <xsl:value-of select="prezzopartenza"/></td>
                    <td class="y">Prezzo di riserva superato</td>
                    <td>&#8364; <xsl:value-of select="offertaattuale"/></td>
                    <td><xsl:value-of select="datafine"/></td>
                    <td>
                        <xsl:for-each select="metodopagamento">
                        <xsl:value-of select="@pag"/><br/>
                        </xsl:for-each>
                    </td>
                    <td>
                        <xsl:for-each select="tipospedizione">
                        <xsl:value-of select="@tipo"/><br/>
                        </xsl:for-each>
                    </td>
                </tr>
                </xsl:otherwise>
                </xsl:choose>
                </xsl:for-each>
            </tbody>
            
        </table>
        
    </body>
    
</html>
</xsl:template>
</xsl:stylesheet>