<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--Dichiarazione di XSL e dei namespaces associati-->
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns="http://www.w3.org/1999/xhtml">
<!--Dichiarazione del DOCTYPE-->
<xsl:output method="xml"
    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transational.dtd"
    doctype-public="//W3C/DTD XHTML 1.0 Transational //EN" indent="yes"/>
<xsl:template match="/">
<!--Dichiarazione di XHTML-->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="it">

    <head>
        <!--Link al foglio di stile CSS-->
        <link rel="stylesheet" href="esame_06.css" type="text/css"/>
        <title>Esame 06</title>
    </head>
    
    <body>
        
        <!--Intestazione del documento XHTML-->
        <h1>Esame 06</h1>
        <h3>Sito di aste online</h3>
        
        <!--Costruisco la tabella-->
        <table>
        
            <thead>
                <tr>
                    <th>Codice articolo</th>
                    <th>Descrizione articolo</th>
                    <th>Inizio inserzione</th>
                    <th>Tipologia articolo</th>
                    <th>Prezzo di partenza</th>
                    <th>Offerta attuale</th>
                    <th>Data di fine asta</th>
                    <th>Metodo di pagamento</th>
                    <th>Metodo di spedizione</th>
                    <th>Prezzo di riserva</th>
                </tr>
            </thead>
            
            <tbody>
                <xsl:for-each select="//inserzione">
                <tr class="{articolo/@tipologia}">    
                    <td><xsl:value-of select="@codice"/></td>
                    <td><xsl:value-of select="descrizione"/></td>
                    <td><xsl:value-of select="inizio/@data"/> alle <xsl:value-of select="inizio/@ora"/></td>
                    <td><xsl:value-of select="articolo/@tipologia"/></td>
                    <td><xsl:value-of select="prezzopartenza"/></td>
                    <td><xsl:value-of select="offertaattuale"/></td>
                    <td><xsl:value-of select="datafine"/></td>
                    <td>
                        <xsl:for-each select="pagamento">
                        <xsl:value-of select="@metodo"/><br/>
                        </xsl:for-each>
                    </td>
                   <td>
                        <xsl:for-each select="spedizione">
                        <xsl:value-of select="@tipo"/><br/>
                        </xsl:for-each>
                    </td>
                    <td>
                        <xsl:choose>
                        <xsl:when test="offertaattuale &gt; prezzoriserva">
                            Prezzo di riserva raggiunto
                        </xsl:when>
                        <xsl:otherwise>
                            Prezzo di riserva non raggiunto
                        </xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                </xsl:for-each>
            </tbody>
            
        </table>
        
    </body>
    
</html>
</xsl:template>
</xsl:stylesheet>