<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--Dichiarazione di XSL e dei namespaces associati-->
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns="http://www.w3.org/1999/xhtml">
<!--Dichiarazione del DOCTYPE-->
<xsl:output method="xml"
    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transational.dtd"
    doctype-public="//W3C/DTD XHTML 1.0 Transational //EN" indent="yes"/>
<xsl:template match="/">
<!--Dichiarazione di XHTML-->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="it">

    <head>
        <!--Link al foglio di stile CSS-->
        <link rel="stylesheet" href="esame_07.css" type="text/css"/>
        <title>Esame 07</title>
    </head>
    
    <body>
        
        <h1>Esame 07</h1>
        <h3>Sistema per la gestione dell'archivio delle patenti di guida</h3>
        
        <table>
            
            <thead>
                <tr>
                    <th>Codice patente</th>
                    <th>Cognome e Nome</th>
                    <th>Tipo patente</th>
                    <th>Ente rilasciante</th>
                    <th>Data di rilascio</th>
                    <th>Data di scadenza</th>
                    <th>Informazioni sulle infrazioni commesse</th>
                </tr>
            </thead>
            
            <tbody>
                <xsl:for-each select="//patente">
                <xsl:sort select="offertaattuale" order="descending"/>
                <tr class="{infrazione/@enteinfr}">
                    <td><xsl:value-of select="@codice"/></td>
                    <td>
                        <xsl:value-of select="intestatario/@cognome"/>_
                        <xsl:value-of select="intestatario/@nome"/>
                    </td>
                    <td>
                        <xsl:for-each select="tipo">
                        <xsl:value-of select="@codice"/><br/>
                        </xsl:for-each>
                    </td>
                    <td><xsl:value-of select="enteril/@ente"/></td>
                    <td><xsl:value-of select="datarilascio"/></td>
                    <td><xsl:value-of select="datascadenza"/></td>
                    <td>
                        <xsl:for-each select="infrazione">
                        Infrazione:
                        <xsl:value-of select="@tipo"/><br/>
                        Targa:
                        <xsl:value-of select="@targa"/><br/>
                        Ente:
                        <xsl:value-of select="@enteinfr"/><hr/>
                        </xsl:for-each>
                    </td>
                </tr>
                </xsl:for-each>
            </tbody>
            
        </table>
    </body>
    
</html>
</xsl:template>
</xsl:stylesheet>