<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--Dichiarazione di XSL e dei namespaces associati-->
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns="http://www.w3.org/1999/xhtml">
<!--Dichiarazione del DOCTYPE-->
<xsl:output method="xml"
    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transational.dtd"
    doctype-public="//W3C/DTD XHTML 1.0 Transational //EN" indent="yes"/>
<xsl:template match="/">
<!--Dichiarazione di XHTML-->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="it">

    <head>
        <!--Link al foglio di stile CSS-->
        <link rel="stylesheet" href="esame_08.css" type="text/css"/>
        <title>Esame 08</title>
    </head>
    
    <body>
        
        <!--Intestazione del documento XHTML-->
        <h1>Esame 08</h1>
        <h3>Gestione dei voli di un areoporto</h3>
        
        <!--Costruisco la tabella-->
        <table>
        
            <thead>
                <tr>
                    <th>Codice volo</th>
                    <th>Nome</th>
                    <th>Tipo di volo</th>
                    <th>Frequenza</th>
                    <th>Aeroporto di origine</th>
                    <th>Aeroporto di destinazione</th>
                    <th>Orario di partenza</th>
                    <th>Orario di arrivo</th>
                    <th>Tipo di pasto</th>
                    <th>Modello di aeromobile</th>
                    <th>Capienza</th>
                </tr>
            </thead>
            
            <tbody>
                <xsl:for-each select="//volo">
                <tr class="{aeromobile/@modello}">
                    <td><xsl:value-of select="@codice"/></td>
                    <td><xsl:value-of select="nome"/></td>
                    <td><xsl:value-of select="tipovolo/@tipo"/></td>
                    <td>
                        <xsl:for-each select="frequenza">
                        <xsl:value-of select="@freq"/><br/>
                        </xsl:for-each>
                    </td>
                    <td><xsl:value-of select="aeroportoorig"/></td>
                    <td><xsl:value-of select="aeroportodest"/></td>
                    <td><xsl:value-of select="orariopartenza"/></td>
                    <td><xsl:value-of select="orarioarrivo"/></td>
                    <td><xsl:value-of select="pasto/@tipopasto"/></td>
                    <td><xsl:value-of select="aeromobile/@modello"/></td>
                    <td class="{aeromobile/@modello}">
                        <xsl:choose>
                        <xsl:when test="aeromobile/@modello = 'ART72'">
                            66 passeggeri
                        </xsl:when>
                        <xsl:when test="aeromobile/@modello = 'MD80'">
                            131 passeggeri
                        </xsl:when>
                        <xsl:otherwise>
                            147 passeggeri
                        </xsl:otherwise>>
                        </xsl:choose>
                    </td>
                </tr>
                </xsl:for-each>
            </tbody>
            
        </table>
        
    </body>
    
</html>
</xsl:template>
</xsl:stylesheet>